{-# LANGUAGE DeriveDataTypeable #-}

module RESTng.Resources.User where

import Data.Generics

data User = User {
      user_id :: Integer,
      username:: String,
      passwd:: String,
      roles :: [UserRole]
    } deriving (Show, Data, Typeable)

data UserRole = Admin | Normal deriving (Show, Read, Eq, Data, Typeable)

